Debian Bug report logs - #652745
ITP: razorqt -- simple qt-based desktop environment

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: lkcl <lkcl@lkcl.net>

Date: Tue, 20 Dec 2011 14:27:01 UTC

Owned by: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>

Severity: wishlist

Fixed in version razorqt/0.4.1-1~exp1

Done: manuel.montezelo@gmail.com (Manuel A. Fernandez Montecelo)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Tue, 20 Dec 2011 14:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to lkcl <lkcl@lkcl.net>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 20 Dec 2011 14:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: lkcl <lkcl@lkcl.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: razor-qt -- simple qt-based desktop window manager
Date: Tue, 20 Dec 2011 14:08:54 +0000
Package: wnpp
Severity: wishlist

* Package name    : razor-qt
  Version         : 0.4
  Upstream Author : http://groups.google.com/group/razor-qt
* URL             : http://razor-qt.org
* License         : GPL and LGPL
  Programming Lang: c++
  Description     : simple qt-based desktop window manager

Razor-qt is an advanced, easy-to-use, and fast desktop environment based 
on Qt technologies. It has been tailored for users who value simplicity, 
speed, and an intuitive interface. Unlike most desktop environments, 
Razor-qt also works fine with weak machines.

While still a new project, Razor-qt already contains the key DE 
components:

    * Panel
    * Desktop
    * Application launcher
    * Settings center
    * Sessions

You can use either all of them or part of them. Razor-qt works with 
various WMs, most of Razor developers use Openbox. But it's no problem 
to take any modern WM from fwwm2 to kwin (yes, KDE without Plasma 
Desktop is possible too). 

-- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Tue, 20 Dec 2011 14:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to lkcl luke <luke.leighton@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 20 Dec 2011 14:51:07 GMT) Full text and rfc822 format available.

Message #10 received at 652745@bugs.debian.org (full text, mbox):

From: lkcl luke <luke.leighton@gmail.com>
To: 652745@bugs.debian.org
Subject: ubuntu packaging already done for razor-qt
Date: Tue, 20 Dec 2011 14:49:46 +0000
ubuntu launchpad packaging is already done so it should be a trivial
matter to get this into debian.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Tue, 27 Dec 2011 09:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 27 Dec 2011 09:36:04 GMT) Full text and rfc822 format available.

Message #15 received at 652745@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: 652745@bugs.debian.org
Subject: QT versions?
Date: Tue, 27 Dec 2011 10:35:35 +0100
I have taken a look at Ubuntu versions and they depend on very new (from 
the Debian point of view) QT packages.

Some days ago current Debian packages versions were:

Debian Stable branch:
     libqtcore4: 4:4.6.3-4
  Debian Unstable branch:
     libqtcore4: 4:4.7.3-8

Where should we find the minimal versions needed of qt stuff so that 
razor-qt works? This url:
  https://github.com/Razor-qt/razor-qt/wiki/Dependencies
  lack the version numbers in my opinnion.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Tue, 27 Dec 2011 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 27 Dec 2011 09:39:08 GMT) Full text and rfc822 format available.

Message #20 received at 652745@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: 652745@bugs.debian.org
Subject: About licenses
Date: Tue, 27 Dec 2011 10:38:02 +0100
It seems that there is an ongoing work on licenses rewriting so that 
packaging does not have any problem with licenses.

Here there is the main thread:

http://groups.google.com/group/razor-qt/browse_thread/thread/98d84c6016c2bab4

It would be nice if someone could update this bug when the licenses 
issue has been solved.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Mon, 13 Feb 2012 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ferdinand Thommes <devil@siduction.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 13 Feb 2012 18:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 652745@bugs.debian.org (full text, mbox):

From: Ferdinand Thommes <devil@siduction.org>
To: 652745@bugs.debian.org
Subject: razor-qt
Date: Mon, 13 Feb 2012 19:36:16 +0100
[Message part 1 (text/plain, inline)]
With razor-qt 0.4.1, released today, the license issues have reportedly
been fixed, that kept razor-qt from being packaged.
https://groups.google.com/forum/?fromgroups#!topic/razor-qt/SQsiXmFtTKM

regards
Ferdinand Thommes
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Tue, 14 Feb 2012 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 14 Feb 2012 22:39:03 GMT) Full text and rfc822 format available.

Message #30 received at 652745@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: 652745@bugs.debian.org
Subject: Re: Bug#652745: razor-qt
Date: Tue, 14 Feb 2012 23:36:51 +0100
El 13/02/12 19:36, Ferdinand Thommes escribió:
> With razor-qt 0.4.1, released today, the license issues have reportedly
> been fixed, that kept razor-qt from being packaged.
> https://groups.google.com/forum/?fromgroups#!topic/razor-qt/SQsiXmFtTKM
>
> regards
> Ferdinand Thommes

Thank you Ferdinand that makes easier to make a new Debian razor-qt 
package compliant to DFSG guidelines.

The current versions for libqtcore4 package are:

squeeze (stable): 4.6.3
sid (unstable): 4.7.4
experimental : 4.8.0

Can anyone confirm if any of them are new enough to be able to run 
Razor-qt 0.4.1?

I am still waiting for knowing which are the minimum requirements 
(versions) for razor-qt dependencies.

Thank you very much.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Wed, 15 Feb 2012 14:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ferdinand Thommes <devil@siduction.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 15 Feb 2012 14:12:06 GMT) Full text and rfc822 format available.

Message #35 received at 652745@bugs.debian.org (full text, mbox):

From: Ferdinand Thommes <devil@siduction.org>
To: 652745@bugs.debian.org
Subject: razor-qt 0.4.1
Date: Mon, 13 Feb 2012 18:40:35 +0100
[Message part 1 (text/plain, inline)]
razor-qt 0.4.1 was released today, fixing the license problems that prevented 
packaging up to now.
http://groups.google.com/group/razor-qt/browse_thread/thread/490b225e616d4ca3

-- 
Ferdinand Thommes

Fellow of FSFE
LinuxTag e.V.
____________________________________________________________
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Thu, 16 Feb 2012 10:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ferdinand Thommes <devil@siduction.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 16 Feb 2012 10:51:07 GMT) Full text and rfc822 format available.

Message #40 received at 652745@bugs.debian.org (full text, mbox):

From: Ferdinand Thommes <devil@siduction.org>
To: 652745@bugs.debian.org
Subject: libqtcore4
Date: Thu, 16 Feb 2012 11:49:15 +0100
[Message part 1 (text/plain, inline)]
Hi Adrian,

libqtcore4 from sid (4.7.4-2) works fine here, no idea, if 4.6.3 would
work (i doubt it).
You can just ask at https://groups.google.com/forum/?fromgroups#!forum/razor-qt.


btw.: sorry for double-post, mail-client went berzerk.

regards
Ferdinand
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Thu, 16 Feb 2012 11:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ferdinand Thommes <ferdinand.thommes@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 16 Feb 2012 11:09:13 GMT) Full text and rfc822 format available.

Message #45 received at 652745@bugs.debian.org (full text, mbox):

From: Ferdinand Thommes <ferdinand.thommes@googlemail.com>
To: 652745@bugs.debian.org
Subject: libqtcore4
Date: Thu, 16 Feb 2012 12:08:17 +0100
[Message part 1 (text/plain, inline)]
Hi,
just confirmed that libqtcore4 4.6.3 also works.

regards
Ferdinand
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Thu, 16 Feb 2012 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 16 Feb 2012 11:39:07 GMT) Full text and rfc822 format available.

Message #50 received at 652745@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: 652745@bugs.debian.org
Subject: Re: Bug#652745: libqtcore4
Date: Thu, 16 Feb 2012 12:38:21 +0100
El 16/02/12 12:08, Ferdinand Thommes escribió:
> Hi,
> just confirmed that libqtcore4 4.6.3 also works.
>
> regards
> Ferdinand

Thank you very much Ferdinand for the information.

I will to replicate Ubuntu package for 0.4.1 for Debian squeeze which it 
is the one I am interested. If I manage to do it I might do the Debian 
unstable package too.

  This is going to be an unofficial Debian package because I am too 
newbie but it will be available to Debian community so that they make 
the official package based on it if they want to, of course.

  Not sure when I will be able to do so. Maybe in a month, who knows.

  Not to say that anyone who wants to make the Debian package instead 
of me is welcome ;).

  Thank you Ferdinand again.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Mon, 27 Feb 2012 09:21:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 27 Feb 2012 09:21:53 GMT) Full text and rfc822 format available.

Message #55 received at 652745@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: 652745@bugs.debian.org
Subject: Re: Bug#652745: Some packaging tests
Date: Mon, 27 Feb 2012 10:21:14 +0100
Hi,

  I have tried to build packages based on the ppa ones:

* sid - amd64 : Seems to work ok apart from minor lintian warnings.
* squeeze - x86 : In order to build policykit integration the 
libpolkit-qt-1-dev package doesn't have two cmake files that sid package 
has. If you try to build it with these two files copied manually into 
the system it doesn't build at all. There's a C++ build error. If you 
remove the install file for policykit-agent then it works (without 
policykit integration of course).

  Next weekend (or the next one) I'll try to make more tests, improve 
my own packages and maybe try to search a mentor.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Thu, 10 May 2012 14:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 10 May 2012 14:39:06 GMT) Full text and rfc822 format available.

Message #60 received at 652745@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: Maia Kozheva <sikon@ubuntu.com>
Cc: 652745@bugs.debian.org
Subject: Re: RFP: razor-qt -- simple qt-based desktop window manager
Date: Thu, 10 May 2012 16:34:48 +0200
El 10/05/12 16:22, Maia Kozheva escribió:
> Any progress on this? I'm interested in seeing razor-qt in Debian (and
> Ubuntu), so I'd be happy to help with the packaging.

Feel free to do it yourself.
I'm lacking time for focusing on this package right now.

I just hope that my findings about what doesn't work on stable make 
easier your work.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Thu, 10 May 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maia Kozheva <sikon@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 10 May 2012 14:51:05 GMT) Full text and rfc822 format available.

Message #65 received at 652745@bugs.debian.org (full text, mbox):

From: Maia Kozheva <sikon@ubuntu.com>
To: 652745@bugs.debian.org
Cc: adrian15 <adrian15sgd@gmail.com>
Subject: Re: RFP: razor-qt -- simple qt-based desktop window manager
Date: Thu, 10 May 2012 21:22:32 +0700
[Message part 1 (text/plain, inline)]
Any progress on this? I'm interested in seeing razor-qt in Debian (and
Ubuntu), so I'd be happy to help with the packaging.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Sun, 13 May 2012 04:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to PICCORO McKAY Lenz <mckaygerhard@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 13 May 2012 04:54:03 GMT) Full text and rfc822 format available.

Message #70 received at 652745@bugs.debian.org (full text, mbox):

From: PICCORO McKAY Lenz <mckaygerhard@gmail.com>
To: 652745@bugs.debian.org
Cc: adrian15 <adrian15sgd@gmail.com>
Subject: Razorqt details for packaging, .. requeriments and dependences, please read carefully.
Date: Sun, 13 May 2012 00:19:54 -0430
[Message part 1 (text/plain, inline)]
i'm interesting in participate about packagin razorqt debian rules.either
as co-mantainer or just helper, but i well knowed razorqt packagin for
squeeze and wheeze hatn others..

i build working debian squeeze packages, for venenux release.. the only bug
i found in last git (this week) its desktop edit mode, all other thinks
works well and perfectly under debian squeeze and wheeze..  the 0.4.1 bugs
udenr debian squeeze were just reported mostly by me and some with proper
solution to git directly..

requeriments:

qt4 >= 4.6.1-1
libpolkit-agent-1-dev >= 0.96-1
libpolkit-qt-1-dev >= 0.99-1 (in this case i backported polkitqt from
debian snapshots for squeeze)
libmagic-dev,
libxrender-dev,
libxcomposite-dev,
libxdamage-dev,
libudev-dev,
libqt4-webkit | libqtwebkit4,  (in this case i make an xor due in squeeze &
wheeze these packages named differently)
libxcursor-dev,
zlib1g-dev

i attach a diff with send days ago to razorqt google discution update
rules, but theyre not build debian packages as debian does, they use a bash
script taht not make happy debian squeeze packagin..
http://groups.google.com/group/razor-qt/browse_thread/thread/4a167d5034d76cc7
so
later git code where updated.

NOTES: lightdm are very unusefully due active development and changes to
dm, respect to razorqt-lightdm theme and part of code.. i not recommended
build and mantain a package for that.. untill code are usefully
build-able.. currently are some build bugs in that part.

NOTES: polkit agent and icon theming has some small requieriments, for
squeeze i recommend backporting a libpolkit 0.99 and that for build
qtpolkit 0.99 necesary later for build the razorqt-polkit part, also when
package are complety u must make depends on oxigen-icon-theme due some more
issues around icon code in git:

References:

oxigen-icon-theme's reason
http://groups.google.com/group/razor-qt/browse_thread/thread/6634af2ec3e812b3/b321f7141ace95da#b321f7141ace95daand
http://groups.google.com/group/razor-qt/browse_thread/thread/d1b03a394c08c93f


lightdm related build problems making not packaging available
http://groups.google.com/group/razor-qt/browse_thread/thread/eca608d673b97f68


licence issues now solves: https://github.com/Razor-qt/razor-qt/issues/287
-- 
Lenz McKAY Gerardo (PICCORO)
http://qgqlochekone.blogspot.com
Cofundador de Venenux;  debian based multimedia alike free only zealots
users (oh well, i try but..too many free guidelines buahhh)
http://shutendouji.net
creador de massenkoh linux; debian enhanchements for better up to date
support on stable brand, including non-free soft.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Mon, 09 Jul 2012 17:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Jul 2012 17:33:06 GMT) Full text and rfc822 format available.

Message #75 received at 652745@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 652745@bugs.debian.org
Cc: adrian15 <adrian15sgd@gmail.com>, Maia Kozheva <sikon@ubuntu.com>, PICCORO McKAY Lenz <mckaygerhard@gmail.com>
Subject: RFP: razor-qt -- simple qt-based desktop window manager
Date: Mon, 9 Jul 2012 18:32:10 +0100
Hi,

Any progress on this?

I don't have experience packaging this kind of software (desktop
environments), and I am not a Debian Developer, but maybe I can help
to get things rolling.

Cheers.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Mon, 09 Jul 2012 17:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to PICCORO McKAY Lenz <mckaygerhard@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Jul 2012 17:48:07 GMT) Full text and rfc822 format available.

Message #80 received at 652745@bugs.debian.org (full text, mbox):

From: PICCORO McKAY Lenz <mckaygerhard@gmail.com>
To: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
Cc: 652745@bugs.debian.org
Subject: Re: RFP: razor-qt -- simple qt-based desktop window manager
Date: Mon, 9 Jul 2012 13:15:19 -0430
[Message part 1 (text/plain, inline)]
well the debian package i try to upload to debian mentors, but debian
package mantainer system are too deprecated.. faild in my gpg key importa
and check..

i'm mantainer colaborator on razorqt github and send to debian the minimun
requeriments to build and pack raozrqt but nothing..

so then try to upload to
*mentors*.*debian*.net<http://www.google.co.ve/url?sa=t&rct=j&q=debian%20mentors&source=web&cd=1&ved=0CFQQFjAA&url=http%3A%2F%2Fmentors.debian.net%2F&ei=1Bf7T5GEBY-c8gTThvXUBg&usg=AFQjCNEHHtq5tzT2hpukiaA-x07-8xOilQ>
 but always faild on key check, and my key have 4096 and a public part in a
public server..

i reported to mentors mail list th eproblem but nothing interesting in
solve problems..


currently many debian packages are poor on features and low improvements
due mantainers are people that not have knowledge on those software that
they pack!


On Mon, Jul 9, 2012 at 1:02 PM, Manuel A. Fernandez Montecelo <
manuel.montezelo@gmail.com> wrote:

> Hi,
>
> Any progress on this?
>
> I don't have experience packaging this kind of software (desktop
> environments), and I am not a Debian Developer, but maybe I can help
> to get things rolling.
>
> Cheers.
>



-- 
Lenz McKAY Gerardo (PICCORO)
http://qgqlochekone.blogspot.com
Cofundador de Venenux;  debian based multimedia alike free only zealots
users (oh well, i try but..too many free guidelines buahhh)
http://shutendouji.net
creador de massenkoh linux; debian enhanchements for better up to date
support on stable brand, including non-free soft.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Mon, 09 Jul 2012 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Jul 2012 18:06:03 GMT) Full text and rfc822 format available.

Message #85 received at 652745@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: PICCORO McKAY Lenz <mckaygerhard@gmail.com>
Cc: 652745@bugs.debian.org
Subject: Re: RFP: razor-qt -- simple qt-based desktop window manager
Date: Mon, 9 Jul 2012 19:04:03 +0100
Hi,

2012/7/9 PICCORO McKAY Lenz <mckaygerhard@gmail.com>:
> well the debian package i try to upload to debian mentors, but debian
> package mantainer system are too deprecated.. faild in my gpg key importa
> and check..

Would it be possible that you upload the .dsc, .changes, .orig.tar.*,
and debian.tar.* to some public website, so I can take a look?

Cheers.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Wed, 11 Jul 2012 04:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to PICCORO McKAY Lenz <mckaygerhard@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 11 Jul 2012 04:21:07 GMT) Full text and rfc822 format available.

Message #90 received at 652745@bugs.debian.org (full text, mbox):

From: PICCORO McKAY Lenz <mckaygerhard@gmail.com>
To: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
Cc: 652745@bugs.debian.org
Subject: Re: RFP: razor-qt -- simple qt-based desktop window manager
Date: Tue, 10 Jul 2012 23:47:12 -0430
[Message part 1 (text/plain, inline)]
sorry , u must with more.. hours

theres new modules in razorqt, a razorshorcut daemon and a razor opensshj
ask pass so i carefully modify the rules and install files in razorqt git
hub..

please whait for and hours.. then i send info about packagin, but the info
only apllies to debian .. not winbuntu..

in any case u could run the debian script on razorqt sources under the
"dist" directory..

On Mon, Jul 9, 2012 at 6:00 PM, PICCORO McKAY Lenz
<mckaygerhard@gmail.com>wrote:

> i dont like winbuntu.. i send u files in few hours, go to sleep.. tomorrow
> u will be my packages.
>
>
> On Mon, Jul 9, 2012 at 5:45 PM, Manuel A. Fernandez Montecelo <
> manuel.montezelo@gmail.com> wrote:
>
>> 2012/7/9 PICCORO McKAY Lenz <mckaygerhard@gmail.com>:
>> > the problem, i do not have 24/7 intenet conection, and my tools are not
>> > network oriented ..
>> >
>> > here in sarisarinama work in put-paste schema and merge.. like old cvs,
>> and
>> > no-one can touch thinks that dont own with out permision..
>> >
>> > i send u the dsc files for lenny, squeeze for razorqt at 2012-05-24 that
>> > work for lenny, for squeze waith for a few hours and i generate the
>> > 0.4.99/0.5.0 dsc files due some new components are in git hub. ...
>>
>> I am going to disconnect and go to bed in a few minutes, so you don't
>> need to send anything until tomorrow.
>>
>> Anyway, I've been looking at the Ubuntu package... do you think that
>> it will work for Debian?
>>
>>
>> https://launchpad.net/~razor-qt/+archive/ppa/+sourcepub/2255050/+listing-archive-extra
>>
>>
>> Cheers.
>>
>
>
>
> --
> Lenz McKAY Gerardo (PICCORO)
> http://qgqlochekone.blogspot.com
> Cofundador de Venenux;  debian based multimedia alike free only zealots
> users (oh well, i try but..too many free guidelines buahhh)
> http://shutendouji.net
> creador de massenkoh linux; debian enhanchements for better up to date
> support on stable brand, including non-free soft.
>



-- 
Lenz McKAY Gerardo (PICCORO)
http://qgqlochekone.blogspot.com
Cofundador de Venenux;  debian based multimedia alike free only zealots
users (oh well, i try but..too many free guidelines buahhh)
http://shutendouji.net
creador de massenkoh linux; debian enhanchements for better up to date
support on stable brand, including non-free soft.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Thu, 02 Aug 2012 01:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 02 Aug 2012 01:27:03 GMT) Full text and rfc822 format available.

Message #95 received at 652745@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: 652745@bugs.debian.org
Subject: Re: RFP: razor-qt -- simple qt-based desktop window manager
Date: Thu, 02 Aug 2012 03:25:24 +0200
[Message part 1 (text/plain, inline)]
Any progress here?

If you are working on the package you should retitle this bug from RFP
to ITP and assign it to you as owner to avoid duplicate work and send
the typical mail to debian-devel telling about the ITP.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Fri, 03 Aug 2012 20:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 03 Aug 2012 20:21:02 GMT) Full text and rfc822 format available.

Message #100 received at 652745@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 652745@bugs.debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>
Subject: "control" <control@bugs.debian.org>,
Date: Fri, 3 Aug 2012 21:17:09 +0100
retitle 652745 ITP: razor-qt -- simple qt-based desktop environment
owner 652745 !
stop

Hi,

I asked in the qt-kde mailing list, but people showed no interest there:
http://lists.debian.org/debian-qt-kde/2012/07/msg00168.html

I got private replies though, and there are a couple of people
interested in this, and I have something more or less working, so I
guess that that it's true that it's better to retitle it -- doing it,
and setting myself as owner.


Cheers.
-- 
Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#652745; Package wnpp. (Sat, 04 Aug 2012 18:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 04 Aug 2012 18:39:11 GMT) Full text and rfc822 format available.

Message #105 received at 652745@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 652745@bugs.debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>, lkcl@lkcl.net, Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
Subject: Re: "control" <control@bugs.debian.org>,
Date: Sat, 4 Aug 2012 19:33:59 +0100
Hi,

I created the package, uploaded it to mentors.d.n and submitted a
request to debian-mentors@.  If some of you are Debian Developers and
want to sponsor, you are welcome, I don't expect that many people in
debian-mentors@ get excited about this one :-)

  http://mentors.debian.net/package/razorqt

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=683840


Cheers.


2012/8/3 Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>:
> retitle 652745 ITP: razor-qt -- simple qt-based desktop environment
> owner 652745 !
> stop
>
> Hi,
>
> I asked in the qt-kde mailing list, but people showed no interest there:
> http://lists.debian.org/debian-qt-kde/2012/07/msg00168.html
>
> I got private replies though, and there are a couple of people
> interested in this, and I have something more or less working, so I
> guess that that it's true that it's better to retitle it -- doing it,
> and setting myself as owner.
>
>
> Cheers.

-- 
Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>



Changed Bug title to 'ITP: razor-qt -- simple qt-based desktop environment' from 'RFP: razor-qt -- simple qt-based desktop window manager' Request was from "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com> to control@bugs.debian.org. (Sat, 04 Aug 2012 18:42:03 GMT) Full text and rfc822 format available.

Owner recorded as "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>. Request was from "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com> to control@bugs.debian.org. (Sat, 04 Aug 2012 18:42:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: razorqt -- simple qt-based desktop environment' from 'ITP: razor-qt -- simple qt-based desktop environment' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sat, 04 Aug 2012 20:24:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 652745: 683840 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sat, 04 Aug 2012 20:33:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 20 Oct 2012 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to manuel.montezelo@gmail.com (Manuel A. Fernandez Montecelo):
You have taken responsibility. (Sun, 09 Dec 2012 15:03:10 GMT) Full text and rfc822 format available.

Notification sent to lkcl <lkcl@lkcl.net>:
Bug acknowledged by developer. (Sun, 09 Dec 2012 15:03:10 GMT) Full text and rfc822 format available.

Message #120 received at 652745-close@bugs.debian.org (full text, mbox):

From: manuel.montezelo@gmail.com (Manuel A. Fernandez Montecelo)
To: 652745-close@bugs.debian.org
Subject: Bug#652745: fixed in razorqt 0.4.1-1~exp1
Date: Sun, 09 Dec 2012 15:00:11 +0000
Source: razorqt
Source-Version: 0.4.1-1~exp1

We believe that the bug you reported is fixed in the latest version of
razorqt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 652745@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> (supplier of updated razorqt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 21 Jul 2012 18:42:37 +0100
Source: razorqt
Binary: razorqt libqtxdg0 libqtxdg0-dev librazorqt0 librazorqt0-dev razorqt-data razorqt-appswitcher razorqt-config razorqt-desktop razorqt-panel razorqt-policykit-agent razorqt-power razorqt-runner razorqt-session
Architecture: source all amd64
Version: 0.4.1-1~exp1
Distribution: experimental
Urgency: low
Maintainer: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Changed-By: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Description: 
 libqtxdg0  - Implementation of the XDG Specifications for Qt, libs
 libqtxdg0-dev - Implementation of the XDG Specifications for Qt, development pack
 librazorqt0 - Shared libraries for Razor-qt desktop environment
 librazorqt0-dev - Shared libraries for Razor-qt desktop environment, development pa
 razorqt    - Lightweight desktop environment, all components
 razorqt-appswitcher - Application switcher component for Razor-qt desktop environment
 razorqt-config - Configuration component for Razor-qt desktop environment
 razorqt-data - Shared data files for Razor-qt desktop environment
 razorqt-desktop - Desktop component for Razor-qt desktop environment
 razorqt-panel - Panel component for Razor-qt desktop environment
 razorqt-policykit-agent - PolicyKit agent component for Razor-qt desktop environment
 razorqt-power - Power manager component for Razor-qt desktop environment
 razorqt-runner - Application launcher component for Razor-qt desktop environment
 razorqt-session - Session manager component for Razor-qt desktop environment
Closes: 652745
Changes: 
 razorqt (0.4.1-1~exp1) experimental; urgency=low
 .
   * Initial release (Closes: #652745)
Checksums-Sha1: 
 e741fe699fbf71b18c404dc8dcbe054aea6aa710 2138 razorqt_0.4.1-1~exp1.dsc
 2e75fc100dd5288967a58bf7b47b019d605f2306 5785628 razorqt_0.4.1.orig.tar.xz
 b6fb2b6c7b93779d220f8739379092e71389e515 9346 razorqt_0.4.1-1~exp1.debian.tar.gz
 9c9a012d9debe77a5a0903b812f524181063c350 5656 razorqt_0.4.1-1~exp1_all.deb
 afc899d16b5095983dac3d700ea8f99655ffdb33 167958 libqtxdg0_0.4.1-1~exp1_amd64.deb
 6407104a4bdae6c6a4f51e11f35ce8aea26b16b3 11718 libqtxdg0-dev_0.4.1-1~exp1_amd64.deb
 4b0951551495a0742346c70478df3855536adf5d 141370 librazorqt0_0.4.1-1~exp1_amd64.deb
 1b35fa93ac191386f70d7c9ba73cf7c30d933298 21722 librazorqt0-dev_0.4.1-1~exp1_amd64.deb
 68ee87d365b2216e704cca091680388debd1cbff 9609540 razorqt-data_0.4.1-1~exp1_all.deb
 0745ca4ffa645362450b7c46b4c028a2085044de 26386 razorqt-appswitcher_0.4.1-1~exp1_amd64.deb
 8114bbf867feb19d812f3785e6b16dc4da70ad70 150980 razorqt-config_0.4.1-1~exp1_amd64.deb
 915819b06efb5a3fe53f564a1b0f19b31856d87f 195356 razorqt-desktop_0.4.1-1~exp1_amd64.deb
 6995dbb9ee5e11cdffcb2a9009e26233652f630d 254948 razorqt-panel_0.4.1-1~exp1_amd64.deb
 3d8a2a947adc93a214a5330045bfd39b60b83875 24590 razorqt-policykit-agent_0.4.1-1~exp1_amd64.deb
 ea81aa6820de7c59c66724536e19a41636eaf0c2 47852 razorqt-power_0.4.1-1~exp1_amd64.deb
 3d9c2255c651890b21f3fa9bdda6f8530c4ab45e 58486 razorqt-runner_0.4.1-1~exp1_amd64.deb
 82346758a63e9c12e1a13ceb353c4c5d22bea275 91772 razorqt-session_0.4.1-1~exp1_amd64.deb
Checksums-Sha256: 
 7b0d54290d2c484cf62f5dc7d82b1005f3419a2ecc301bb3dca04d5e8740b558 2138 razorqt_0.4.1-1~exp1.dsc
 07bb5195e3d024c4cb193acd41752a927ddb710c64a84adfcbee922a855c1b63 5785628 razorqt_0.4.1.orig.tar.xz
 84acbf72ff511c235b30aa584469ba3b0bf257b7c0504b3dbaf1e54130801013 9346 razorqt_0.4.1-1~exp1.debian.tar.gz
 b5e5ee8122661edd4f8332f769faaaff5c5e0d05beba15d8960ee1f9d25b29d3 5656 razorqt_0.4.1-1~exp1_all.deb
 f13accc66465eeb956ddef219396a565ab531f2b2183bb73a2eabf7b0ad4c6b6 167958 libqtxdg0_0.4.1-1~exp1_amd64.deb
 d424702aadf94f1796bfd25af3c450c242c8be382c9af5f5814938401768c1c4 11718 libqtxdg0-dev_0.4.1-1~exp1_amd64.deb
 bf6ce74e137e7c9bc30ec3e02f0e8b7eeb9364caa339e4bbd038a357693aaf28 141370 librazorqt0_0.4.1-1~exp1_amd64.deb
 b5438f7fdd5465f94b10fe7d82be222e0c35e4f877b0f80d8d7d085439e18e8d 21722 librazorqt0-dev_0.4.1-1~exp1_amd64.deb
 d60bfb2036d58ac90b0aba4f15a01434933794172b0981bb957d3dfc7a50a338 9609540 razorqt-data_0.4.1-1~exp1_all.deb
 fe3e356d93ef88106da7c7431512aa3584ecbbd5848cd86c458b41a49763aa4d 26386 razorqt-appswitcher_0.4.1-1~exp1_amd64.deb
 12b2abacce856b7891cedb40b6db22569d05f7767af971ed1b0a2edef42259bb 150980 razorqt-config_0.4.1-1~exp1_amd64.deb
 db8b382b4abcd1e46f85ce19291b8402d10f24bceea074bcc56d280bf276fea3 195356 razorqt-desktop_0.4.1-1~exp1_amd64.deb
 024206bdfcb3a3a3487add34d57afc56b7c522ffa86ca4d0e2bb13d5c99032ab 254948 razorqt-panel_0.4.1-1~exp1_amd64.deb
 46a535f3a4818ea95209391a88eb753739c9bead31452d32e1bb5a470a958729 24590 razorqt-policykit-agent_0.4.1-1~exp1_amd64.deb
 b665ff92fca4fd10802b5974a5457b787c0292ee8596991c641563aaacce714f 47852 razorqt-power_0.4.1-1~exp1_amd64.deb
 629d94e45e2bba611b7ba9bf99ee4cc79a402b71548063865d39af34ef1a40f7 58486 razorqt-runner_0.4.1-1~exp1_amd64.deb
 82ed8c77945046bb16c63eb54f034d825de5995c24f398e4ea6fd6d49615bd38 91772 razorqt-session_0.4.1-1~exp1_amd64.deb
Files: 
 76d3a08d450f0d91c00ff0ac98343450 2138 x11 optional razorqt_0.4.1-1~exp1.dsc
 c3976c535be6d8bc8d8ed98f8aa218c5 5785628 x11 optional razorqt_0.4.1.orig.tar.xz
 3d3028e516e2d1d7b1435b3643d3aa12 9346 x11 optional razorqt_0.4.1-1~exp1.debian.tar.gz
 48dc8dcfeb74abe4fe267090f8ab9c62 5656 metapackages optional razorqt_0.4.1-1~exp1_all.deb
 4996b614a5154587230dbb06409a3732 167958 libs optional libqtxdg0_0.4.1-1~exp1_amd64.deb
 efb2fb1cf0e2a7ea86a3e9b8dcb1aeeb 11718 libdevel optional libqtxdg0-dev_0.4.1-1~exp1_amd64.deb
 f25bcee8d3279659ef33a2c4c523389a 141370 libs optional librazorqt0_0.4.1-1~exp1_amd64.deb
 6d09d42d2c52b4da46c564a15110e5aa 21722 libdevel optional librazorqt0-dev_0.4.1-1~exp1_amd64.deb
 88a7f1abf339e51ae979bd3851add02a 9609540 x11 optional razorqt-data_0.4.1-1~exp1_all.deb
 0d93e2affb15b14b04a5433144e152ee 26386 x11 optional razorqt-appswitcher_0.4.1-1~exp1_amd64.deb
 c9b7feeb4a832557ecba3080e2bc95aa 150980 x11 optional razorqt-config_0.4.1-1~exp1_amd64.deb
 baa6840fb1e83e0d111ce139b35ca81b 195356 x11 optional razorqt-desktop_0.4.1-1~exp1_amd64.deb
 002c88359d3276d382caed166e9a7db8 254948 x11 optional razorqt-panel_0.4.1-1~exp1_amd64.deb
 fb82fe8b85e8f57bf2cde2dcc3b9f496 24590 x11 optional razorqt-policykit-agent_0.4.1-1~exp1_amd64.deb
 177e3308dace72768b0fcc65c4e68517 47852 x11 optional razorqt-power_0.4.1-1~exp1_amd64.deb
 23dc5a59c89c70589837c356da264f69 58486 x11 optional razorqt-runner_0.4.1-1~exp1_amd64.deb
 304c51dec763793cc0eadf9a658ad47e 91772 x11 optional razorqt-session_0.4.1-1~exp1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCB15kACgkQ8dLMyEl6F20+SACffuxpP2BL9eDVG0l2BSsQd9q4
elgAn1rISGXyFgN9qpG+N7DpA2mSgN9i
=8UEC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jan 2013 07:28:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:03:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.